import { TypedFlags } from 'meow';
export declare const initFlags: {
    readonly scripts: {
        readonly type: "boolean";
        readonly default: true;
    };
    readonly eslint: {
        readonly type: "boolean";
        readonly default: true;
    };
    readonly typescript: {
        readonly type: "boolean";
        readonly default: true;
    };
    readonly prettier: {
        readonly type: "boolean";
        readonly default: true;
    };
    readonly license: {
        readonly type: "string";
    };
    readonly editorconfig: {
        readonly type: "boolean";
        readonly default: true;
    };
    readonly gitignore: {
        readonly type: "boolean";
        readonly default: true;
    };
    readonly force: {
        readonly type: "boolean";
        readonly default: false;
    };
    readonly install: {
        readonly type: "boolean";
        readonly default: true;
    };
    readonly name: {
        readonly type: "string";
    };
    readonly author: {
        readonly type: "string";
    };
    readonly repo: {
        readonly type: "string";
    };
    readonly debug: {
        readonly default: false;
        readonly type: "boolean";
    };
    readonly silent: {
        readonly type: "boolean";
        readonly default: false;
    };
    readonly verbose: {
        readonly type: "boolean";
        readonly default: false;
    };
};
export declare type InitFlags = TypedFlags<typeof initFlags>;
export interface InitOptions {
    basePath: string;
    flags: InitFlags;
}
export declare function init(options: InitOptions): Promise<void>;
