"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveLatestVersions = void 0;
const p_props_1 = __importDefault(require("p-props"));
// @ts-expect-error missing types
const get_latest_version_1 = __importDefault(require("get-latest-version"));
// We may want to lock certain dependencies to specific versions
const lockedDependencies = {};
function resolveLatestVersions(packages) {
    const versions = {};
    for (const pkgName of packages) {
        versions[pkgName] = pkgName in lockedDependencies ? lockedDependencies[pkgName] : 'latest';
    }
    return (0, p_props_1.default)(versions, (range, pkgName) => __awaiter(this, void 0, void 0, function* () {
        const version = yield (0, get_latest_version_1.default)(pkgName, { range });
        return rangeify(version);
    }), { concurrency: 8 });
}
exports.resolveLatestVersions = resolveLatestVersions;
function rangeify(version) {
    return `^${version}`;
}
//# sourceMappingURL=resolveLatestVersions.js.map