export interface SanityV2Manifest {
    root?: boolean;
    name: string;
    paths: ManifestPaths;
    parts?: {
        path: string;
    }[];
}
export interface ManifestPaths {
    basePath: string;
    compiled?: string;
    source?: string;
}
export interface ManifestOptions {
    isPlugin?: boolean;
    validate?: boolean;
    pluginName?: string;
    basePath: string;
    verifySourceParts?: boolean;
    verifyCompiledParts?: boolean;
    paths?: ManifestPaths;
    flags?: Record<string, any>;
}
export declare function getPaths(options: ManifestOptions): Promise<{
    basePath: string;
    compiled: string | undefined;
    source: string | undefined;
} | {
    basePath: string;
    compiled?: undefined;
    source?: undefined;
} | null>;
export declare function readManifest(options: ManifestOptions): Promise<any>;
export declare function validateManifest(manifest: SanityV2Manifest, opts: ManifestOptions): Promise<void>;
export declare function validatePluginManifest(manifest: SanityV2Manifest, options: {
    basePath: string;
}): Promise<void>;
export declare function validatePaths(manifest: SanityV2Manifest, options: {
    basePath: string;
}): Promise<void>;
export declare function getReferencesPartPaths(manifest: SanityV2Manifest, basePath: string): string[];
export declare function hasSanityJson(basePath: string): Promise<{
    exists: boolean;
    isRoot: boolean;
}>;
export declare function findStudioV3Config(basePath: string): Promise<{
    v3ConfigFile: string | undefined;
}>;
