"use strict";
// Note: This is _specifically_ meant for CLI usage,
// I realize that "singletons" are bad.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
let beQuiet = false;
let beVerbose = false;
function setVerbosity({ verbose, silent }) {
    if (silent) {
        beVerbose = false;
        beQuiet = true;
    }
    else if (verbose) {
        beVerbose = true;
        beQuiet = false;
    }
}
exports.default = {
    setVerbosity: setVerbosity,
    // Bypasses any checks, prints regardless (only use for things like `cli --version`)
    msg: (msg, ...args) => !beQuiet && console.log(msg, ...args),
    // Debug only printed on --verbose
    debug: (msg, ...args) => !beQuiet && beVerbose && console.debug(`${chalk_1.default.bgBlack.white('[debug]')} ${msg}`, ...args),
    // Success messages only printed if not --silent
    success: (msg, ...args) => !beQuiet && console.info(`${chalk_1.default.bgBlack.greenBright('[success]')} ${msg}`, ...args),
    // Info only printed if not --silent ("standard" level)
    info: (msg, ...args) => !beQuiet && console.info(`${chalk_1.default.bgBlack.cyanBright('[info]')} ${msg}`, ...args),
    // Warning only printed if not --silent
    warn: (msg, ...args) => !beQuiet && console.warn(`${chalk_1.default.bgBlack.yellowBright('[warn]')} ${msg}`, ...args),
    // Errors are always printed
    error: (msg, ...args) => console.error(`${chalk_1.default.bgBlack.redBright('[error]')} ${msg}`, ...args),
};
//# sourceMappingURL=log.js.map