/// <reference types="node" />
import execa from 'execa';
import fs from 'fs';
import { EntryInfo } from 'readdirp';
export declare const readFileRaw: typeof fs.readFile.__promisify__;
export declare const readFile: (file: string) => Promise<string>;
export declare const onlyPaths: (files: EntryInfo[]) => string[];
export declare const contents: (dir: string) => Promise<string[]>;
export declare const normalize: (dirPath: string) => string;
export declare const pluginTestName = "sanity-plugin-test-plugin";
export declare const initTestArgs: string[];
export declare function testFixture({ fixturePath, relativeOutPath, command, assert, }: {
    fixturePath: string;
    relativeOutPath?: string;
    command: (args: {
        fixtureDir: string;
        outputDir: string;
    }) => Promise<execa.ExecaReturnValue>;
    assert: (args: {
        result: execa.ExecaReturnValue;
        outputDir: string;
    }) => Promise<void>;
}): Promise<void>;
export declare function fileContainsValidator(t: any, outputDir: string): (file: string, ...contains: string[]) => Promise<void>;
export declare function runCliCommand(command: string, args?: string[], options?: execa.Options): execa.ExecaChildProcess<string>;
